package com.chinaitop.depot.grainReserves.mapper;

import com.chinaitop.depot.grainReserves.model.BizGopsPlan;
import com.chinaitop.depot.grainReserves.model.GopsPlanObject;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-23 19:55
 */
@Repository
public interface BizGopsPlanMapper {
    List<BizGopsPlan> getPageList(@Param("planName") String planName, @Param("orgId") Integer orgId);

    List<GopsPlanObject> getPlanSaleList(@Param("id") String id);

    List<GopsPlanObject> getPlanBuyList(@Param("id") String id);

}
