package com.chinaitop.depot.pg.model.vo;

import com.chinaitop.depot.pg.model.BusinessPgGopsPlanDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 成品粮监管-购销计划管理-明细表实体
 *
 * @author TS
 * @date  2024/06/11 15:42
 **/
@Getter
@Setter
public class BusinessPgGopsPlanDetailVO extends BusinessPgGopsPlanDetail {


    @ApiModelProperty(value = "实际军粮品种名称")
    private String sjjlpzmc;

    @ApiModelProperty(value = "实际军粮品种编号")
    private String sjjlpzbh;

    @ApiModelProperty(value = "实际军粮品牌名称")
    private String sjjlppmc;


    @ApiModelProperty(value = "等级")
    private String dj;

    @ApiModelProperty(value = "等级名称")
    private String djmc;

    @ApiModelProperty(value = "实际军粮商品名称")
    private String sjjlspmc;

    @ApiModelProperty(value = "实际军粮商品名称编号")
    private String sjjlspmcbh;

    @ApiModelProperty(value = "规格")
    private String gg;

    @ApiModelProperty(value = "计量单位")
    private String jldw;

    @ApiModelProperty(value = "计量单位名称")
    private String jldwmc;

    @ApiModelProperty(value = "保质期")
    private String bzq;

    @ApiModelProperty(value = "性质名称", position = 7)
    private String grainNatureName;

}
