package com.chinaitop.depot.rp.controller;


import com.chinaitop.depot.rp.model.BusinessRpBiweeklyReport;
import com.chinaitop.depot.rp.model.BusinessRpOutbound;
import com.chinaitop.depot.rp.model.vo.BusinessRpOutboundVO;
import com.chinaitop.depot.rp.model.vo.MultipleMapsContainer;
import com.chinaitop.depot.rp.service.BusinessRpOutboundService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * 轮换计划-出库信息表 前端控制器
 *
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/business-rp-outbound")
public class BusinessRpOutboundController {

    @Resource
    private BusinessRpOutboundService businessRpOutboundService;


    /**
     * 保存或修改轮换计划明细
     * @param
     * @return
     * @throws Exception
     */
    @RequestMapping(value="/add",produces = MediaType.APPLICATION_JSON_VALUE,  method= RequestMethod.POST)
    @ApiOperation(value="存或修改轮换计划明细", notes = "保存")
    @SuppressWarnings("unchecked")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "BusinessRpOutboundVO", value = "主表数据", paramType = "query")
    })
    public MultipleMapsContainer add(List<BusinessRpOutboundVO> businessRpOutboundList) throws Exception {
        Map<String, Object> modelMap = new HashMap<String, Object>();

            MultipleMapsContainer multipleMapsContainer = businessRpOutboundService.fingBySum(businessRpOutboundList);
//        } catch (Exception e) {
//            e.printStackTrace();
//            modelMap.put("status", "error");
//            modelMap.put("msg", "保存失败！");
//            return modelMap;
//        }
        return multipleMapsContainer;
    }



    //轮换详情回显  查询出库和入库信息表


}
