package com.chinaitop.depot.rp.mapper;

import com.chinaitop.depot.rp.model.BusinessRpBiweeklyReportGrain;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 轮换计划-轮换半月报表-粮食品种 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpBiweeklyReportGrainMapper  {
    int countByExample(BusinessRpBiweeklyReportGrainExample example);

    int deleteByExample(BusinessRpBiweeklyReportGrainExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessRpBiweeklyReportGrain record);

    int insertSelective(BusinessRpBiweeklyReportGrain record);

    List<BusinessRpBiweeklyReportGrain> selectByExample(BusinessRpBiweeklyReportGrainExample example);

    BusinessRpBiweeklyReportGrain selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessRpBiweeklyReportGrain record, @Param("example") BusinessRpBiweeklyReportGrainExample example);

    int updateByExample(@Param("record") BusinessRpBiweeklyReportGrain record, @Param("example") BusinessRpBiweeklyReportGrainExample example);

    int updateByPrimaryKeySelective(BusinessRpBiweeklyReportGrain record);

    int updateByPrimaryKey(BusinessRpBiweeklyReportGrain record);

    int deleteByMainId(@Param("rpBiweeklyReportId") Integer rpBiweeklyReportId);

    List<BusinessRpBiweeklyReportGrain> selectByMainId(@Param("rpBiweeklyReportId") Integer rpBiweeklyReportId);
}
