package com.chinaitop.depot.rp.model.vo;

import com.chinaitop.depot.rp.model.BusinessRpOutbound;
import com.chinaitop.depot.rp.model.BusinessRpReport;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class BusinessRpOutboundVO extends BusinessRpOutbound {

    private String kqmc;//库区名称
    private String storehouseName;//仓房名称
    private String warehouseName; //货位名称
    private Integer  ajId;
    private String ajmc;
    private String grainVarietyName; //粮食品种代码
    private String grainNatureName; //粮食性质代码
    private String grainGradeName; //粮食等级代码
    private Date formWarehouseTime;//封仓时间
    private  String inFinancialVerification; //核定价
    private  Date shnd;
    private String grainAreaName;//产地
    private BigDecimal sealingQuantity;


    public Date getFormWarehouseTime() {
        return formWarehouseTime;
    }

    public void setFormWarehouseTime(Date formWarehouseTime) {
        this.formWarehouseTime = formWarehouseTime;
    }

    public String getKqmc() {
        return kqmc;
    }

    public void setKqmc(String kqmc) {
        this.kqmc = kqmc;
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public Integer getAjId() {
        return ajId;
    }

    public void setAjId(Integer ajId) {
        this.ajId = ajId;
    }

    public String getAjmc() {
        return ajmc;
    }

    public void setAjmc(String ajmc) {
        this.ajmc = ajmc;
    }

    public String getGrainVarietyName() {
        return grainVarietyName;
    }

    public void setGrainVarietyName(String grainVarietyName) {
        this.grainVarietyName = grainVarietyName;
    }

    public String getGrainNatureName() {
        return grainNatureName;
    }

    public void setGrainNatureName(String grainNatureName) {
        this.grainNatureName = grainNatureName;
    }

    public String getGrainGradeName() {
        return grainGradeName;
    }

    public void setGrainGradeName(String grainGradeName) {
        this.grainGradeName = grainGradeName;
    }


    public String getGrainAreaName() {
        return grainAreaName;
    }

    public void setGrainAreaName(String grainAreaName) {
        this.grainAreaName = grainAreaName;
    }

    public String getInFinancialVerification() {
        return inFinancialVerification;
    }

    public void setInFinancialVerification(String inFinancialVerification) {
        this.inFinancialVerification = inFinancialVerification;
    }

    public Date getShnd() {
        return shnd;
    }

    public void setShnd(Date shnd) {
        this.shnd = shnd;
    }
//    @ApiModelProperty(value = "粮库id；org_info的id；")
//    public Integer orgId;
//
//    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
//    public Integer grainVarietyId;
//
//    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
//    public Integer grainNatureId;

//    @Override
//    public Integer getOrgId() {
//        return orgId;
//    }
//
//    @Override
//    public void setOrgId(Integer orgId) {
//        this.orgId = orgId;
//    }
//
//    @Override
//    public Integer getGrainVarietyId() {
//        return grainVarietyId;
//    }
//
//    @Override
//    public void setGrainVarietyId(Integer grainVarietyId) {
//        this.grainVarietyId = grainVarietyId;
//    }
//
//    @Override
//    public Integer getGrainNatureId() {
//        return grainNatureId;
//    }
//
//    @Override
//    public void setGrainNatureId(Integer grainNatureId) {
//        this.grainNatureId = grainNatureId;
//    }
}
