package com.chinaitop.depot.rp.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
@Getter
@Setter
public class BusinessRpReportPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;


    /** 企业名称 */
    @ApiModelProperty(value = "企业名称")
    private String unitName;

    /** 企业Id */
    @ApiModelProperty(value = "企业Id")
    private String unitId;

    /** 库区Id */
    @ApiModelProperty(value = "库区Id")
    private String orgId;


    @ApiModelProperty(value = "轮换年度")
    private String rotationYear;


}
