package com.chinaitop.depot.rp.service;

import com.chinaitop.depot.rp.model.BusinessRpBiweeklyReport;
import com.chinaitop.depot.rp.model.BusinessRpOutbound;
import com.chinaitop.depot.rp.model.vo.BusinessRpOutboundVO;
import com.chinaitop.depot.rp.model.vo.MultipleMapsContainer;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 轮换计划-出库信息表 服务类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpOutboundService  {

    BusinessRpOutboundVO getOutband(Integer warehouseId);

    //BusinessRpOutboundVO findByfindByQualityCheckInfo(Integer warehouseId);

     List<BusinessRpOutboundVO> findByStoreHouseInfo(Integer orgId);

     List<BusinessRpOutboundVO> findByWareHouseInfo(Integer basicStorehouseId);


    MultipleMapsContainer fingBySum(List<BusinessRpOutboundVO> businessRpOutboundList);

}
