package com.chinaitop.depot.business.service;


import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import com.chinaitop.depot.business.model.BusinessNoticeReceive;

public interface ReceiveNoticeService {

	List<BusinessNoticeReceive> queryByExample(Integer pageNum, Integer pageSize,
			BusinessNoticeReceive businessNoticeReceive, String cktzd,String lyflag);

	BusinessNoticeReceive findById(Integer id);

	void update(BusinessNoticeReceive businessNoticeReceive);

	Map<String, Object> receiveNotice(String notice) throws Exception;

	List<BusinessNoticeReceive> queryByExample(BusinessNoticeReceive businessNoticeReceive);

	List<Map<String, String>> getUserRole(Integer userId);

	void audit(BusinessNoticeReceive receiveNotice, Integer userId, String realName,String orgName,String content);

	int queryIsOrAudit(String xybh, String sptDataId,Integer flag);

	//void saveDataRk(Map<String, Object> paramMap);

	void saveDataRk(String orgId, Integer storehouseId, Integer warehouseId, String grainVarietyName, BigDecimal rksl,
			String lsxzzbdh,String xyh);

	/**
	 * 修改下发的通知单数据
	 * @param notice
	 * @return
	 */
	Map<String, Object> updateReceiveNotice(String notice) throws Exception;

	/**
	 * 给市平台推送合同引用状态
	 * @param notice
	 */
	void pushHtStatus(String notice) throws Exception;
			
}
