package com.chinaitop.depot.pg.mapper;

import com.chinaitop.depot.pg.model.BusinessPgGopsPlanDetail;
import com.chinaitop.depot.pg.model.BusinessPgGopsPlanDetailExample;
import java.util.List;

import com.chinaitop.depot.pg.model.vo.BusinessPgGopsPlanDetailVO;
import org.apache.ibatis.annotations.Param;

public interface BusinessPgGopsPlanDetailMapper {
    int countByExample(BusinessPgGopsPlanDetailExample example);

    int deleteByExample(BusinessPgGopsPlanDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessPgGopsPlanDetail record);

    int insertSelective(BusinessPgGopsPlanDetail record);

    List<BusinessPgGopsPlanDetail> selectByExample(BusinessPgGopsPlanDetailExample example);

    BusinessPgGopsPlanDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessPgGopsPlanDetail record, @Param("example") BusinessPgGopsPlanDetailExample example);

    int updateByExample(@Param("record") BusinessPgGopsPlanDetail record, @Param("example") BusinessPgGopsPlanDetailExample example);

    int updateByPrimaryKeySelective(BusinessPgGopsPlanDetail record);

    int updateByPrimaryKey(BusinessPgGopsPlanDetail record);

    int deleteByMainId(@Param("planId") Integer planId);

    List<BusinessPgGopsPlanDetailVO> findPlanDetailList(@Param("planId") Integer planId);
}