package com.chinaitop.depot.pg.mapper;

import com.chinaitop.depot.pg.model.BusinessPgGopsPlan;
import com.chinaitop.depot.pg.model.BusinessPgGopsPlanExample;
import java.util.List;
import java.util.Map;

import com.chinaitop.depot.pg.model.vo.BusinessPgGopsPlanVO;
import com.chinaitop.depot.pg.model.vo.DataCrkywCplspDefaultVO;
import com.chinaitop.depot.pg.param.BusinessPgGopsPlanPageParam;
import org.apache.ibatis.annotations.Param;

public interface BusinessPgGopsPlanMapper {
    int countByExample(BusinessPgGopsPlanExample example);

    int deleteByExample(BusinessPgGopsPlanExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessPgGopsPlan record);

    int insertSelective(BusinessPgGopsPlan record);

    List<BusinessPgGopsPlan> selectByExample(BusinessPgGopsPlanExample example);

    BusinessPgGopsPlan selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessPgGopsPlan record, @Param("example") BusinessPgGopsPlanExample example);

    int updateByExample(@Param("record") BusinessPgGopsPlan record, @Param("example") BusinessPgGopsPlanExample example);

    int updateByPrimaryKeySelective(BusinessPgGopsPlan record);

    int updateByPrimaryKey(BusinessPgGopsPlan record);

    List<Map<String,Object>> selectByPageParam(@Param("pageParam")BusinessPgGopsPlanPageParam pageParam);

    BusinessPgGopsPlanVO getPgPlan(@Param("id") Integer id);

    List<DataCrkywCplspDefaultVO> getCplSpList(@Param("orgId")String orgId);
}