package com.chinaitop.depot.pg.model.vo;

import com.chinaitop.depot.pg.model.BusinessPgGopsPlan;
import com.chinaitop.depot.pg.model.BusinessPgGopsPlanDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 成品粮监管-购销计划管理表VO
 *
 * @author TS
 * @date  2024/06/11 15:41
 **/
@Getter
@Setter
public class BusinessPgGopsPlanVO extends BusinessPgGopsPlan {


    @ApiModelProperty(value = "库区名称", position = 2)
    private String orgName;

    @ApiModelProperty(value = "回显成品粮明细数据", position = 3)
    List<BusinessPgGopsPlanDetailVO> detailVoList;
}
