package com.chinaitop.depot.pg.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BusinessPgGopsPlanPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    @ApiModelProperty(value = "库区名称")
    private String orgName;

    @ApiModelProperty(value = "库区Id")
    private String orgId;

    @ApiModelProperty(value = "企业名称")
    private String unitName;
    /** 性质id */
    @ApiModelProperty(value = "性质id")
    private String grainNatureId;

    @ApiModelProperty(value = "年度")
    private String year;


}
