package com.chinaitop.depot.rp.mapper;

import com.chinaitop.depot.rp.model.BusinessRpBiweeklyReportGrainStock;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 轮换计划-轮换半月报表-粮食品种-出入库关系表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpBiweeklyReportGrainStockMapper  {
    int countByExample(BusinessRpBiweeklyReportGrainStockExample example);

    int deleteByExample(BusinessRpBiweeklyReportGrainStockExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessRpBiweeklyReportGrainStock record);

    int insertSelective(BusinessRpBiweeklyReportGrainStock record);

    List<BusinessRpBiweeklyReportGrainStock> selectByExample(BusinessRpBiweeklyReportGrainStockExample example);

    BusinessRpBiweeklyReportGrainStock selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessRpBiweeklyReportGrainStock record, @Param("example") BusinessRpBiweeklyReportGrainStockExample example);

    int updateByExample(@Param("record") BusinessRpBiweeklyReportGrainStock record, @Param("example") BusinessRpBiweeklyReportGrainStockExample example);

    int updateByPrimaryKeySelective(BusinessRpBiweeklyReportGrainStock record);

    int updateByPrimaryKey(BusinessRpBiweeklyReportGrainStock record);

    int deleteByMainId(@Param("rpBiweeklyReportId") Integer rpBiweeklyReportId);

    int insertCk(@Param("rpBiweeklyReportGrainId")Integer rpBiweeklyReportGrainId,
                 @Param("rpReportId")Integer rpReportId,
                 @Param("grainVarietyId")Integer grainVarietyId,
                 @Param("startDate")String startDate,
                 @Param("endDate")String endDate);

    int insertRk(@Param("rpBiweeklyReportGrainId")Integer rpBiweeklyReportGrainId,
                 @Param("rpReportId")Integer rpReportId,
                 @Param("grainVarietyId")Integer grainVarietyId,
                 @Param("startDate")String startDate,
                 @Param("endDate")String endDate);
}
