package com.chinaitop.depot.rp.mapper;

import com.chinaitop.depot.rp.model.BusinessRpBiweeklyReport;
import com.chinaitop.depot.rp.param.BusinessRpBiweeklyReportPageParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 轮换计划-轮换半月报表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpBiweeklyReportMapper  {
    int countByExample(BusinessRpBiweeklyReportExample example);

    int deleteByExample(BusinessRpBiweeklyReportExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessRpBiweeklyReport record);

    int insertSelective(BusinessRpBiweeklyReport record);

    List<BusinessRpBiweeklyReport> selectByExample(BusinessRpBiweeklyReportExample example);

    BusinessRpBiweeklyReport selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessRpBiweeklyReport record, @Param("example") BusinessRpBiweeklyReportExample example);

    int updateByExample(@Param("record") BusinessRpBiweeklyReport record, @Param("example") BusinessRpBiweeklyReportExample example);

    int updateByPrimaryKeySelective(BusinessRpBiweeklyReport record);

    int updateByPrimaryKey(BusinessRpBiweeklyReport record);

    List<Map<String,Object>> selectByPageParam(@Param("pageParam") BusinessRpBiweeklyReportPageParam pageParam);

    List<Map<String,Object>> getRpReportList(@Param("orgId") String orgId);

    List<Map<String,Object>> getRpReportDetailsByAdd(@Param("rpReportId") String rpReportId,
                                                     @Param("startDate") String startDate,
                                                     @Param("endDate") String endDate);

    Map<String,Object> queryName(@Param("rpReportId") Integer rpReportId);
}
