package com.chinaitop.depot.rp.mapper;

import com.chinaitop.depot.rp.model.BusinessRpOutbound;
import org.apache.ibatis.annotations.Param;
import com.chinaitop.depot.rp.model.BusinessRpInbound;
import com.chinaitop.depot.rp.model.BusinessRpInboundExample;

import java.util.List;

/**
 * <p>
 * 轮换计划-入库信息表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpInboundMapper  {

    int countByExample(BusinessRpInboundExample example);

    int deleteByExample(BusinessRpInboundExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessRpInbound record);

    int insertSelective1(BusinessRpInbound record);

    int insertSelective(BusinessRpInbound record);

    List<BusinessRpInbound> selectByExample(BusinessRpInboundExample example);

    BusinessRpInbound selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessRpInbound record, @Param("example") BusinessRpInboundExample example);

    int updateByExample(@Param("record") BusinessRpInbound record, @Param("example") BusinessRpInboundExample example);

    int updateByPrimaryKeySelective(BusinessRpInbound record);

    int updateByPrimaryKey(BusinessRpInbound record);

   // BusinessRpInbound getByBusinessRpInbound(Integer orgId);
   int  deleteByReportId(@Param("reportId") Integer reportId);

    //入库
    List<BusinessRpInbound> findByRpReportId(@Param("rpReportId") String rpReportId,@Param("orgId") String orgId);
}
