package com.chinaitop.depot.rp.mapper;

import com.chinaitop.depot.rp.model.BusinessRpOutbound;
import com.chinaitop.depot.rp.model.BusinessRpOutboundExample;
import com.chinaitop.depot.rp.model.vo.BusinessRpOutboundVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 轮换计划-出库信息表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
public interface BusinessRpOutboundMapper  {

    int countByExample(BusinessRpOutboundExample example);

    int deleteByExample(BusinessRpOutboundExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessRpOutbound record);

    int insertSelective(BusinessRpOutbound record);

    List<BusinessRpOutbound> selectByExampleWithBLOBs(BusinessRpOutboundExample example);

    List<BusinessRpOutbound> selectByExample(BusinessRpOutboundExample example);

    BusinessRpOutbound selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessRpOutbound record, @Param("example") BusinessRpOutboundExample example);

    int updateByExampleWithBLOBs(@Param("record") BusinessRpOutbound record, @Param("example") BusinessRpOutboundExample example);

    int updateByExample(@Param("record") BusinessRpOutbound record, @Param("example") BusinessRpOutboundExample example);

    int updateByPrimaryKeySelective(BusinessRpOutbound record);

    int updateByPrimaryKeyWithBLOBs(BusinessRpOutbound record);

    int updateByPrimaryKey(BusinessRpOutbound record);

    BusinessRpOutboundVO getOutband(Integer warehouseId);

    //BusinessRpOutboundVO findByfindByQualityCheckInfo(Integer warehouseId);

    List<BusinessRpOutboundVO> findByStoreHouseInfo(Integer orgId);

    List<BusinessRpOutboundVO> findByWareHouseInfo(Integer basicStorehouseId);

    int  deleteByReportId(@Param("reportId") Integer reportId);

    //出库
    List<BusinessRpOutbound> findByRpReportId(@Param("rpReportId") String rpReportId,@Param("orgId") String orgId);

}
