package com.chinaitop.depot.rp.model;

import java.math.BigDecimal;
import java.util.Date;

public class GrainSituationCard {
    private Integer id;

    private String createname;

    private Date createdate;

    private String updatename;

    private Date updatedate;

    private Integer warehouseSealingRecordId;

    private Integer fillOrgId;

    private Integer keepOrgId;

    private Integer basicStorehouseId;

    private Integer basicUnitAisleId;

    private Integer warehouseId;

    private Integer storehouseType;

    private BigDecimal designCapacity;

    private Integer grainVarietyId;

    private Integer grainNatureId;

    private BigDecimal lssl;

    private Integer grainAreaId;

    private Date shnd;

    private Date rcsj;

    private Date formWarehouseTime;

    private Integer grainGradeId;

    private Byte temperatureMeasureType;

    private Integer drafttype;

    private String glfs;

    private Integer storageOrgId;

    private Integer keepingWay;

    private BigDecimal volume;

    private BigDecimal length;

    private BigDecimal width;

    private BigDecimal trapezoidUpperLength;

    private BigDecimal trapezoidLowerLength;

    private BigDecimal trapezoidUpperWidth;

    private BigDecimal trapezoidLowerWidth;

    private BigDecimal flatStorageHeight;

    private BigDecimal trapezoidHeight;

    private BigDecimal siloInnerDiameter;

    private BigDecimal siloGrainHeight;

    private Integer packagedCount;

    private BigDecimal averageWeight;

    private String checkRecordIds;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 
     * @return createname 
     */
    public String getCreatename() {
        return createname;
    }

    /**
     * 
     * @param createname 
     */
    public void setCreatename(String createname) {
        this.createname = createname == null ? null : createname.trim();
    }

    /**
     * 创建日期
     * @return createdate 创建日期
     */
    public Date getCreatedate() {
        return createdate;
    }

    /**
     * 创建日期
     * @param createdate 创建日期
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    /**
     * 
     * @return updatename 
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * 
     * @param updatename 
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename == null ? null : updatename.trim();
    }

    /**
     * 更新日期
     * @return updatedate 更新日期
     */
    public Date getUpdatedate() {
        return updatedate;
    }

    /**
     * 更新日期
     * @param updatedate 更新日期
     */
    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    /**
     * warehouse_sealing_record的id；
     * @return warehouse_sealing_record_id warehouse_sealing_record的id；
     */
    public Integer getWarehouseSealingRecordId() {
        return warehouseSealingRecordId;
    }

    /**
     * warehouse_sealing_record的id；
     * @param warehouseSealingRecordId warehouse_sealing_record的id；
     */
    public void setWarehouseSealingRecordId(Integer warehouseSealingRecordId) {
        this.warehouseSealingRecordId = warehouseSealingRecordId;
    }

    /**
     * 填卡库区id；org_info的id；
     * @return fill_org_id 填卡库区id；org_info的id；
     */
    public Integer getFillOrgId() {
        return fillOrgId;
    }

    /**
     * 填卡库区id；org_info的id；
     * @param fillOrgId 填卡库区id；org_info的id；
     */
    public void setFillOrgId(Integer fillOrgId) {
        this.fillOrgId = fillOrgId;
    }

    /**
     * 保管库区id；org_info的id；
     * @return keep_org_id 保管库区id；org_info的id；
     */
    public Integer getKeepOrgId() {
        return keepOrgId;
    }

    /**
     * 保管库区id；org_info的id；
     * @param keepOrgId 保管库区id；org_info的id；
     */
    public void setKeepOrgId(Integer keepOrgId) {
        this.keepOrgId = keepOrgId;
    }

    /**
     * basic_storehouse的id；仓房id；
     * @return basic_storehouse_id basic_storehouse的id；仓房id；
     */
    public Integer getBasicStorehouseId() {
        return basicStorehouseId;
    }

    /**
     * basic_storehouse的id；仓房id；
     * @param basicStorehouseId basic_storehouse的id；仓房id；
     */
    public void setBasicStorehouseId(Integer basicStorehouseId) {
        this.basicStorehouseId = basicStorehouseId;
    }

    /**
     * basic_unit_aisle的id；廒间id；
     * @return basic_unit_aisle_id basic_unit_aisle的id；廒间id；
     */
    public Integer getBasicUnitAisleId() {
        return basicUnitAisleId;
    }

    /**
     * basic_unit_aisle的id；廒间id；
     * @param basicUnitAisleId basic_unit_aisle的id；廒间id；
     */
    public void setBasicUnitAisleId(Integer basicUnitAisleId) {
        this.basicUnitAisleId = basicUnitAisleId;
    }

    /**
     * basic_warehouse的id；货位id;
     * @return warehouse_id basic_warehouse的id；货位id;
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * basic_warehouse的id；货位id;
     * @param warehouseId basic_warehouse的id；货位id;
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 仓房类型编号（立筒仓等）
     * @return storehouse_type 仓房类型编号（立筒仓等）
     */
    public Integer getStorehouseType() {
        return storehouseType;
    }

    /**
     * 仓房类型编号（立筒仓等）
     * @param storehouseType 仓房类型编号（立筒仓等）
     */
    public void setStorehouseType(Integer storehouseType) {
        this.storehouseType = storehouseType;
    }

    /**
     * 设计容量（数字，单位吨）
     * @return design_capacity 设计容量（数字，单位吨）
     */
    public BigDecimal getDesignCapacity() {
        return designCapacity;
    }

    /**
     * 设计容量（数字，单位吨）
     * @param designCapacity 设计容量（数字，单位吨）
     */
    public void setDesignCapacity(BigDecimal designCapacity) {
        this.designCapacity = designCapacity;
    }

    /**
     * 粮食品种；basic_enum的id；
     * @return grain_variety_id 粮食品种；basic_enum的id；
     */
    public Integer getGrainVarietyId() {
        return grainVarietyId;
    }

    /**
     * 粮食品种；basic_enum的id；
     * @param grainVarietyId 粮食品种；basic_enum的id；
     */
    public void setGrainVarietyId(Integer grainVarietyId) {
        this.grainVarietyId = grainVarietyId;
    }

    /**
     * 粮食性质；basic_enum的id；
     * @return grain_nature_id 粮食性质；basic_enum的id；
     */
    public Integer getGrainNatureId() {
        return grainNatureId;
    }

    /**
     * 粮食性质；basic_enum的id；
     * @param grainNatureId 粮食性质；basic_enum的id；
     */
    public void setGrainNatureId(Integer grainNatureId) {
        this.grainNatureId = grainNatureId;
    }

    /**
     * 粮食数量，单位：公斤
     * @return lssl 粮食数量，单位：公斤
     */
    public BigDecimal getLssl() {
        return lssl;
    }

    /**
     * 粮食数量，单位：公斤
     * @param lssl 粮食数量，单位：公斤
     */
    public void setLssl(BigDecimal lssl) {
        this.lssl = lssl;
    }

    /**
     * 粮食产地；basic_enum的id；
     * @return grain_area_id 粮食产地；basic_enum的id；
     */
    public Integer getGrainAreaId() {
        return grainAreaId;
    }

    /**
     * 粮食产地；basic_enum的id；
     * @param grainAreaId 粮食产地；basic_enum的id；
     */
    public void setGrainAreaId(Integer grainAreaId) {
        this.grainAreaId = grainAreaId;
    }

    /**
     * 收获年度，格式：YYYY，货位（油罐）状态为2、3、4时必填
     * @return shnd 收获年度，格式：YYYY，货位（油罐）状态为2、3、4时必填
     */
    public Date getShnd() {
        return shnd;
    }

    /**
     * 收获年度，格式：YYYY，货位（油罐）状态为2、3、4时必填
     * @param shnd 收获年度，格式：YYYY，货位（油罐）状态为2、3、4时必填
     */
    public void setShnd(Date shnd) {
        this.shnd = shnd;
    }

    /**
     * 入仓日期；第一车粮食入仓时间；
     * @return rcsj 入仓日期；第一车粮食入仓时间；
     */
    public Date getRcsj() {
        return rcsj;
    }

    /**
     * 入仓日期；第一车粮食入仓时间；
     * @param rcsj 入仓日期；第一车粮食入仓时间；
     */
    public void setRcsj(Date rcsj) {
        this.rcsj = rcsj;
    }

    /**
     * 形成货位时间；生成粮情卡的时间；
     * @return form_warehouse_time 形成货位时间；生成粮情卡的时间；
     */
    public Date getFormWarehouseTime() {
        return formWarehouseTime;
    }

    /**
     * 形成货位时间；生成粮情卡的时间；
     * @param formWarehouseTime 形成货位时间；生成粮情卡的时间；
     */
    public void setFormWarehouseTime(Date formWarehouseTime) {
        this.formWarehouseTime = formWarehouseTime;
    }

    /**
     * 粮食等级；basic_enum的id；
     * @return grain_grade_id 粮食等级；basic_enum的id；
     */
    public Integer getGrainGradeId() {
        return grainGradeId;
    }

    /**
     * 粮食等级；basic_enum的id；
     * @param grainGradeId 粮食等级；basic_enum的id；
     */
    public void setGrainGradeId(Integer grainGradeId) {
        this.grainGradeId = grainGradeId;
    }

    /**
     * 测温方式 1：电子测温；2：手动测温；
     * @return temperature_measure_type 测温方式 1：电子测温；2：手动测温；
     */
    public Byte getTemperatureMeasureType() {
        return temperatureMeasureType;
    }

    /**
     * 测温方式 1：电子测温；2：手动测温；
     * @param temperatureMeasureType 测温方式 1：电子测温；2：手动测温；
     */
    public void setTemperatureMeasureType(Byte temperatureMeasureType) {
        this.temperatureMeasureType = temperatureMeasureType;
    }

    /**
     * 通风方式
     * @return drafttype 通风方式
     */
    public Integer getDrafttype() {
        return drafttype;
    }

    /**
     * 通风方式
     * @param drafttype 通风方式
     */
    public void setDrafttype(Integer drafttype) {
        this.drafttype = drafttype;
    }

    /**
     * 管理方式 01 直储；02 代储；03 租仓；04 委托；
     * @return glfs 管理方式 01 直储；02 代储；03 租仓；04 委托；
     */
    public String getGlfs() {
        return glfs;
    }

    /**
     * 管理方式 01 直储；02 代储；03 租仓；04 委托；
     * @param glfs 管理方式 01 直储；02 代储；03 租仓；04 委托；
     */
    public void setGlfs(String glfs) {
        this.glfs = glfs == null ? null : glfs.trim();
    }

    /**
     * 存储地点库区id；org_info的id；
     * @return storage_org_id 存储地点库区id；org_info的id；
     */
    public Integer getStorageOrgId() {
        return storageOrgId;
    }

    /**
     * 存储地点库区id；org_info的id；
     * @param storageOrgId 存储地点库区id；org_info的id；
     */
    public void setStorageOrgId(Integer storageOrgId) {
        this.storageOrgId = storageOrgId;
    }

    /**
     * 保管方式
     * @return keeping_way 保管方式
     */
    public Integer getKeepingWay() {
        return keepingWay;
    }

    /**
     * 保管方式
     * @param keepingWay 保管方式
     */
    public void setKeepingWay(Integer keepingWay) {
        this.keepingWay = keepingWay;
    }

    /**
     * 散存粮体积(立方米)
     * @return volume 散存粮体积(立方米)
     */
    public BigDecimal getVolume() {
        return volume;
    }

    /**
     * 散存粮体积(立方米)
     * @param volume 散存粮体积(立方米)
     */
    public void setVolume(BigDecimal volume) {
        this.volume = volume;
    }

    /**
     * 长（米）
     * @return length 长（米）
     */
    public BigDecimal getLength() {
        return length;
    }

    /**
     * 长（米）
     * @param length 长（米）
     */
    public void setLength(BigDecimal length) {
        this.length = length;
    }

    /**
     * 宽（米）
     * @return width 宽（米）
     */
    public BigDecimal getWidth() {
        return width;
    }

    /**
     * 宽（米）
     * @param width 宽（米）
     */
    public void setWidth(BigDecimal width) {
        this.width = width;
    }

    /**
     * 梯形粮堆-上底长
     * @return trapezoid_upper_length 梯形粮堆-上底长
     */
    public BigDecimal getTrapezoidUpperLength() {
        return trapezoidUpperLength;
    }

    /**
     * 梯形粮堆-上底长
     * @param trapezoidUpperLength 梯形粮堆-上底长
     */
    public void setTrapezoidUpperLength(BigDecimal trapezoidUpperLength) {
        this.trapezoidUpperLength = trapezoidUpperLength;
    }

    /**
     * 梯形粮堆-下底长
     * @return trapezoid_lower_length 梯形粮堆-下底长
     */
    public BigDecimal getTrapezoidLowerLength() {
        return trapezoidLowerLength;
    }

    /**
     * 梯形粮堆-下底长
     * @param trapezoidLowerLength 梯形粮堆-下底长
     */
    public void setTrapezoidLowerLength(BigDecimal trapezoidLowerLength) {
        this.trapezoidLowerLength = trapezoidLowerLength;
    }

    /**
     * 梯形粮堆-上底宽
     * @return trapezoid_upper_width 梯形粮堆-上底宽
     */
    public BigDecimal getTrapezoidUpperWidth() {
        return trapezoidUpperWidth;
    }

    /**
     * 梯形粮堆-上底宽
     * @param trapezoidUpperWidth 梯形粮堆-上底宽
     */
    public void setTrapezoidUpperWidth(BigDecimal trapezoidUpperWidth) {
        this.trapezoidUpperWidth = trapezoidUpperWidth;
    }

    /**
     * 梯形粮堆-下底宽
     * @return trapezoid_lower_width 梯形粮堆-下底宽
     */
    public BigDecimal getTrapezoidLowerWidth() {
        return trapezoidLowerWidth;
    }

    /**
     * 梯形粮堆-下底宽
     * @param trapezoidLowerWidth 梯形粮堆-下底宽
     */
    public void setTrapezoidLowerWidth(BigDecimal trapezoidLowerWidth) {
        this.trapezoidLowerWidth = trapezoidLowerWidth;
    }

    /**
     * 平房仓粮堆（高）
     * @return flat_storage_height 平房仓粮堆（高）
     */
    public BigDecimal getFlatStorageHeight() {
        return flatStorageHeight;
    }

    /**
     * 平房仓粮堆（高）
     * @param flatStorageHeight 平房仓粮堆（高）
     */
    public void setFlatStorageHeight(BigDecimal flatStorageHeight) {
        this.flatStorageHeight = flatStorageHeight;
    }

    /**
     * 梯形高
     * @return trapezoid_height 梯形高
     */
    public BigDecimal getTrapezoidHeight() {
        return trapezoidHeight;
    }

    /**
     * 梯形高
     * @param trapezoidHeight 梯形高
     */
    public void setTrapezoidHeight(BigDecimal trapezoidHeight) {
        this.trapezoidHeight = trapezoidHeight;
    }

    /**
     * 筒仓内直径
     * @return silo_inner_diameter 筒仓内直径
     */
    public BigDecimal getSiloInnerDiameter() {
        return siloInnerDiameter;
    }

    /**
     * 筒仓内直径
     * @param siloInnerDiameter 筒仓内直径
     */
    public void setSiloInnerDiameter(BigDecimal siloInnerDiameter) {
        this.siloInnerDiameter = siloInnerDiameter;
    }

    /**
     * 筒仓内粮堆高
     * @return silo_grain_height 筒仓内粮堆高
     */
    public BigDecimal getSiloGrainHeight() {
        return siloGrainHeight;
    }

    /**
     * 筒仓内粮堆高
     * @param siloGrainHeight 筒仓内粮堆高
     */
    public void setSiloGrainHeight(BigDecimal siloGrainHeight) {
        this.siloGrainHeight = siloGrainHeight;
    }

    /**
     * 包装散存包数
     * @return packaged_count 包装散存包数
     */
    public Integer getPackagedCount() {
        return packagedCount;
    }

    /**
     * 包装散存包数
     * @param packagedCount 包装散存包数
     */
    public void setPackagedCount(Integer packagedCount) {
        this.packagedCount = packagedCount;
    }

    /**
     * 平均包重
     * @return average_weight 平均包重
     */
    public BigDecimal getAverageWeight() {
        return averageWeight;
    }

    /**
     * 平均包重
     * @param averageWeight 平均包重
     */
    public void setAverageWeight(BigDecimal averageWeight) {
        this.averageWeight = averageWeight;
    }

    /**
     * 检查记录id；storage_qualitycheck的id；数组","分隔；
     * @return check_record_ids 检查记录id；storage_qualitycheck的id；数组","分隔；
     */
    public String getCheckRecordIds() {
        return checkRecordIds;
    }

    /**
     * 检查记录id；storage_qualitycheck的id；数组","分隔；
     * @param checkRecordIds 检查记录id；storage_qualitycheck的id；数组","分隔；
     */
    public void setCheckRecordIds(String checkRecordIds) {
        this.checkRecordIds = checkRecordIds == null ? null : checkRecordIds.trim();
    }
}