package com.chinaitop.depot.rp.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class GrainSituationCardExample {
    /**
     * grain_situation_card
     */
    protected String orderByClause;

    /**
     * grain_situation_card
     */
    protected boolean distinct;

    /**
     * grain_situation_card
     */
    protected List<Criteria> oredCriteria;

    public GrainSituationCardExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * grain_situation_card 2024-05-11
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCreatenameIsNull() {
            addCriterion("createname is null");
            return (Criteria) this;
        }

        public Criteria andCreatenameIsNotNull() {
            addCriterion("createname is not null");
            return (Criteria) this;
        }

        public Criteria andCreatenameEqualTo(String value) {
            addCriterion("createname =", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotEqualTo(String value) {
            addCriterion("createname <>", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameGreaterThan(String value) {
            addCriterion("createname >", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameGreaterThanOrEqualTo(String value) {
            addCriterion("createname >=", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLessThan(String value) {
            addCriterion("createname <", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLessThanOrEqualTo(String value) {
            addCriterion("createname <=", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameLike(String value) {
            addCriterion("createname like", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotLike(String value) {
            addCriterion("createname not like", value, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameIn(List<String> values) {
            addCriterion("createname in", values, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotIn(List<String> values) {
            addCriterion("createname not in", values, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameBetween(String value1, String value2) {
            addCriterion("createname between", value1, value2, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatenameNotBetween(String value1, String value2) {
            addCriterion("createname not between", value1, value2, "createname");
            return (Criteria) this;
        }

        public Criteria andCreatedateIsNull() {
            addCriterion("createdate is null");
            return (Criteria) this;
        }

        public Criteria andCreatedateIsNotNull() {
            addCriterion("createdate is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedateEqualTo(Date value) {
            addCriterion("createdate =", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotEqualTo(Date value) {
            addCriterion("createdate <>", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateGreaterThan(Date value) {
            addCriterion("createdate >", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateGreaterThanOrEqualTo(Date value) {
            addCriterion("createdate >=", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateLessThan(Date value) {
            addCriterion("createdate <", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateLessThanOrEqualTo(Date value) {
            addCriterion("createdate <=", value, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateIn(List<Date> values) {
            addCriterion("createdate in", values, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotIn(List<Date> values) {
            addCriterion("createdate not in", values, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateBetween(Date value1, Date value2) {
            addCriterion("createdate between", value1, value2, "createdate");
            return (Criteria) this;
        }

        public Criteria andCreatedateNotBetween(Date value1, Date value2) {
            addCriterion("createdate not between", value1, value2, "createdate");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIsNull() {
            addCriterion("updatename is null");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIsNotNull() {
            addCriterion("updatename is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatenameEqualTo(String value) {
            addCriterion("updatename =", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotEqualTo(String value) {
            addCriterion("updatename <>", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameGreaterThan(String value) {
            addCriterion("updatename >", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameGreaterThanOrEqualTo(String value) {
            addCriterion("updatename >=", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLessThan(String value) {
            addCriterion("updatename <", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLessThanOrEqualTo(String value) {
            addCriterion("updatename <=", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameLike(String value) {
            addCriterion("updatename like", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotLike(String value) {
            addCriterion("updatename not like", value, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameIn(List<String> values) {
            addCriterion("updatename in", values, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotIn(List<String> values) {
            addCriterion("updatename not in", values, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameBetween(String value1, String value2) {
            addCriterion("updatename between", value1, value2, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatenameNotBetween(String value1, String value2) {
            addCriterion("updatename not between", value1, value2, "updatename");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIsNull() {
            addCriterion("updatedate is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIsNotNull() {
            addCriterion("updatedate is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedateEqualTo(Date value) {
            addCriterion("updatedate =", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotEqualTo(Date value) {
            addCriterion("updatedate <>", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateGreaterThan(Date value) {
            addCriterion("updatedate >", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateGreaterThanOrEqualTo(Date value) {
            addCriterion("updatedate >=", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateLessThan(Date value) {
            addCriterion("updatedate <", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateLessThanOrEqualTo(Date value) {
            addCriterion("updatedate <=", value, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateIn(List<Date> values) {
            addCriterion("updatedate in", values, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotIn(List<Date> values) {
            addCriterion("updatedate not in", values, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateBetween(Date value1, Date value2) {
            addCriterion("updatedate between", value1, value2, "updatedate");
            return (Criteria) this;
        }

        public Criteria andUpdatedateNotBetween(Date value1, Date value2) {
            addCriterion("updatedate not between", value1, value2, "updatedate");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdIsNull() {
            addCriterion("warehouse_sealing_record_id is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdIsNotNull() {
            addCriterion("warehouse_sealing_record_id is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdEqualTo(Integer value) {
            addCriterion("warehouse_sealing_record_id =", value, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdNotEqualTo(Integer value) {
            addCriterion("warehouse_sealing_record_id <>", value, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdGreaterThan(Integer value) {
            addCriterion("warehouse_sealing_record_id >", value, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("warehouse_sealing_record_id >=", value, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdLessThan(Integer value) {
            addCriterion("warehouse_sealing_record_id <", value, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdLessThanOrEqualTo(Integer value) {
            addCriterion("warehouse_sealing_record_id <=", value, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdIn(List<Integer> values) {
            addCriterion("warehouse_sealing_record_id in", values, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdNotIn(List<Integer> values) {
            addCriterion("warehouse_sealing_record_id not in", values, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_sealing_record_id between", value1, value2, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andWarehouseSealingRecordIdNotBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_sealing_record_id not between", value1, value2, "warehouseSealingRecordId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdIsNull() {
            addCriterion("fill_org_id is null");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdIsNotNull() {
            addCriterion("fill_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdEqualTo(Integer value) {
            addCriterion("fill_org_id =", value, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdNotEqualTo(Integer value) {
            addCriterion("fill_org_id <>", value, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdGreaterThan(Integer value) {
            addCriterion("fill_org_id >", value, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("fill_org_id >=", value, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdLessThan(Integer value) {
            addCriterion("fill_org_id <", value, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("fill_org_id <=", value, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdIn(List<Integer> values) {
            addCriterion("fill_org_id in", values, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdNotIn(List<Integer> values) {
            addCriterion("fill_org_id not in", values, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("fill_org_id between", value1, value2, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andFillOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("fill_org_id not between", value1, value2, "fillOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdIsNull() {
            addCriterion("keep_org_id is null");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdIsNotNull() {
            addCriterion("keep_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdEqualTo(Integer value) {
            addCriterion("keep_org_id =", value, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdNotEqualTo(Integer value) {
            addCriterion("keep_org_id <>", value, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdGreaterThan(Integer value) {
            addCriterion("keep_org_id >", value, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("keep_org_id >=", value, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdLessThan(Integer value) {
            addCriterion("keep_org_id <", value, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("keep_org_id <=", value, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdIn(List<Integer> values) {
            addCriterion("keep_org_id in", values, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdNotIn(List<Integer> values) {
            addCriterion("keep_org_id not in", values, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("keep_org_id between", value1, value2, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("keep_org_id not between", value1, value2, "keepOrgId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdIsNull() {
            addCriterion("basic_storehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdIsNotNull() {
            addCriterion("basic_storehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdEqualTo(Integer value) {
            addCriterion("basic_storehouse_id =", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdNotEqualTo(Integer value) {
            addCriterion("basic_storehouse_id <>", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdGreaterThan(Integer value) {
            addCriterion("basic_storehouse_id >", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("basic_storehouse_id >=", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdLessThan(Integer value) {
            addCriterion("basic_storehouse_id <", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("basic_storehouse_id <=", value, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdIn(List<Integer> values) {
            addCriterion("basic_storehouse_id in", values, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdNotIn(List<Integer> values) {
            addCriterion("basic_storehouse_id not in", values, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("basic_storehouse_id between", value1, value2, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicStorehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("basic_storehouse_id not between", value1, value2, "basicStorehouseId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdIsNull() {
            addCriterion("basic_unit_aisle_id is null");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdIsNotNull() {
            addCriterion("basic_unit_aisle_id is not null");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdEqualTo(Integer value) {
            addCriterion("basic_unit_aisle_id =", value, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdNotEqualTo(Integer value) {
            addCriterion("basic_unit_aisle_id <>", value, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdGreaterThan(Integer value) {
            addCriterion("basic_unit_aisle_id >", value, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("basic_unit_aisle_id >=", value, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdLessThan(Integer value) {
            addCriterion("basic_unit_aisle_id <", value, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdLessThanOrEqualTo(Integer value) {
            addCriterion("basic_unit_aisle_id <=", value, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdIn(List<Integer> values) {
            addCriterion("basic_unit_aisle_id in", values, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdNotIn(List<Integer> values) {
            addCriterion("basic_unit_aisle_id not in", values, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdBetween(Integer value1, Integer value2) {
            addCriterion("basic_unit_aisle_id between", value1, value2, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andBasicUnitAisleIdNotBetween(Integer value1, Integer value2) {
            addCriterion("basic_unit_aisle_id not between", value1, value2, "basicUnitAisleId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNull() {
            addCriterion("warehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNotNull() {
            addCriterion("warehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdEqualTo(Integer value) {
            addCriterion("warehouse_id =", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotEqualTo(Integer value) {
            addCriterion("warehouse_id <>", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThan(Integer value) {
            addCriterion("warehouse_id >", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id >=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThan(Integer value) {
            addCriterion("warehouse_id <", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id <=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIn(List<Integer> values) {
            addCriterion("warehouse_id in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotIn(List<Integer> values) {
            addCriterion("warehouse_id not in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id not between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeIsNull() {
            addCriterion("storehouse_type is null");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeIsNotNull() {
            addCriterion("storehouse_type is not null");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeEqualTo(Integer value) {
            addCriterion("storehouse_type =", value, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeNotEqualTo(Integer value) {
            addCriterion("storehouse_type <>", value, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeGreaterThan(Integer value) {
            addCriterion("storehouse_type >", value, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("storehouse_type >=", value, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeLessThan(Integer value) {
            addCriterion("storehouse_type <", value, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeLessThanOrEqualTo(Integer value) {
            addCriterion("storehouse_type <=", value, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeIn(List<Integer> values) {
            addCriterion("storehouse_type in", values, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeNotIn(List<Integer> values) {
            addCriterion("storehouse_type not in", values, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeBetween(Integer value1, Integer value2) {
            addCriterion("storehouse_type between", value1, value2, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andStorehouseTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("storehouse_type not between", value1, value2, "storehouseType");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityIsNull() {
            addCriterion("design_capacity is null");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityIsNotNull() {
            addCriterion("design_capacity is not null");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityEqualTo(BigDecimal value) {
            addCriterion("design_capacity =", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityNotEqualTo(BigDecimal value) {
            addCriterion("design_capacity <>", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityGreaterThan(BigDecimal value) {
            addCriterion("design_capacity >", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("design_capacity >=", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityLessThan(BigDecimal value) {
            addCriterion("design_capacity <", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityLessThanOrEqualTo(BigDecimal value) {
            addCriterion("design_capacity <=", value, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityIn(List<BigDecimal> values) {
            addCriterion("design_capacity in", values, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityNotIn(List<BigDecimal> values) {
            addCriterion("design_capacity not in", values, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("design_capacity between", value1, value2, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andDesignCapacityNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("design_capacity not between", value1, value2, "designCapacity");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdIsNull() {
            addCriterion("grain_variety_id is null");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdIsNotNull() {
            addCriterion("grain_variety_id is not null");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdEqualTo(Integer value) {
            addCriterion("grain_variety_id =", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdNotEqualTo(Integer value) {
            addCriterion("grain_variety_id <>", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdGreaterThan(Integer value) {
            addCriterion("grain_variety_id >", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("grain_variety_id >=", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdLessThan(Integer value) {
            addCriterion("grain_variety_id <", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdLessThanOrEqualTo(Integer value) {
            addCriterion("grain_variety_id <=", value, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdIn(List<Integer> values) {
            addCriterion("grain_variety_id in", values, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdNotIn(List<Integer> values) {
            addCriterion("grain_variety_id not in", values, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdBetween(Integer value1, Integer value2) {
            addCriterion("grain_variety_id between", value1, value2, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainVarietyIdNotBetween(Integer value1, Integer value2) {
            addCriterion("grain_variety_id not between", value1, value2, "grainVarietyId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdIsNull() {
            addCriterion("grain_nature_id is null");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdIsNotNull() {
            addCriterion("grain_nature_id is not null");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdEqualTo(Integer value) {
            addCriterion("grain_nature_id =", value, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdNotEqualTo(Integer value) {
            addCriterion("grain_nature_id <>", value, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdGreaterThan(Integer value) {
            addCriterion("grain_nature_id >", value, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("grain_nature_id >=", value, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdLessThan(Integer value) {
            addCriterion("grain_nature_id <", value, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdLessThanOrEqualTo(Integer value) {
            addCriterion("grain_nature_id <=", value, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdIn(List<Integer> values) {
            addCriterion("grain_nature_id in", values, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdNotIn(List<Integer> values) {
            addCriterion("grain_nature_id not in", values, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdBetween(Integer value1, Integer value2) {
            addCriterion("grain_nature_id between", value1, value2, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andGrainNatureIdNotBetween(Integer value1, Integer value2) {
            addCriterion("grain_nature_id not between", value1, value2, "grainNatureId");
            return (Criteria) this;
        }

        public Criteria andLsslIsNull() {
            addCriterion("lssl is null");
            return (Criteria) this;
        }

        public Criteria andLsslIsNotNull() {
            addCriterion("lssl is not null");
            return (Criteria) this;
        }

        public Criteria andLsslEqualTo(BigDecimal value) {
            addCriterion("lssl =", value, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslNotEqualTo(BigDecimal value) {
            addCriterion("lssl <>", value, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslGreaterThan(BigDecimal value) {
            addCriterion("lssl >", value, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("lssl >=", value, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslLessThan(BigDecimal value) {
            addCriterion("lssl <", value, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslLessThanOrEqualTo(BigDecimal value) {
            addCriterion("lssl <=", value, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslIn(List<BigDecimal> values) {
            addCriterion("lssl in", values, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslNotIn(List<BigDecimal> values) {
            addCriterion("lssl not in", values, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lssl between", value1, value2, "lssl");
            return (Criteria) this;
        }

        public Criteria andLsslNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lssl not between", value1, value2, "lssl");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdIsNull() {
            addCriterion("grain_area_id is null");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdIsNotNull() {
            addCriterion("grain_area_id is not null");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdEqualTo(Integer value) {
            addCriterion("grain_area_id =", value, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdNotEqualTo(Integer value) {
            addCriterion("grain_area_id <>", value, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdGreaterThan(Integer value) {
            addCriterion("grain_area_id >", value, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("grain_area_id >=", value, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdLessThan(Integer value) {
            addCriterion("grain_area_id <", value, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdLessThanOrEqualTo(Integer value) {
            addCriterion("grain_area_id <=", value, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdIn(List<Integer> values) {
            addCriterion("grain_area_id in", values, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdNotIn(List<Integer> values) {
            addCriterion("grain_area_id not in", values, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdBetween(Integer value1, Integer value2) {
            addCriterion("grain_area_id between", value1, value2, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andGrainAreaIdNotBetween(Integer value1, Integer value2) {
            addCriterion("grain_area_id not between", value1, value2, "grainAreaId");
            return (Criteria) this;
        }

        public Criteria andShndIsNull() {
            addCriterion("shnd is null");
            return (Criteria) this;
        }

        public Criteria andShndIsNotNull() {
            addCriterion("shnd is not null");
            return (Criteria) this;
        }

        public Criteria andShndEqualTo(Date value) {
            addCriterionForJDBCDate("shnd =", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotEqualTo(Date value) {
            addCriterionForJDBCDate("shnd <>", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThan(Date value) {
            addCriterionForJDBCDate("shnd >", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("shnd >=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThan(Date value) {
            addCriterionForJDBCDate("shnd <", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("shnd <=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndIn(List<Date> values) {
            addCriterionForJDBCDate("shnd in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotIn(List<Date> values) {
            addCriterionForJDBCDate("shnd not in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("shnd between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("shnd not between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andRcsjIsNull() {
            addCriterion("rcsj is null");
            return (Criteria) this;
        }

        public Criteria andRcsjIsNotNull() {
            addCriterion("rcsj is not null");
            return (Criteria) this;
        }

        public Criteria andRcsjEqualTo(Date value) {
            addCriterionForJDBCDate("rcsj =", value, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjNotEqualTo(Date value) {
            addCriterionForJDBCDate("rcsj <>", value, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjGreaterThan(Date value) {
            addCriterionForJDBCDate("rcsj >", value, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("rcsj >=", value, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjLessThan(Date value) {
            addCriterionForJDBCDate("rcsj <", value, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("rcsj <=", value, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjIn(List<Date> values) {
            addCriterionForJDBCDate("rcsj in", values, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjNotIn(List<Date> values) {
            addCriterionForJDBCDate("rcsj not in", values, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("rcsj between", value1, value2, "rcsj");
            return (Criteria) this;
        }

        public Criteria andRcsjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("rcsj not between", value1, value2, "rcsj");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeIsNull() {
            addCriterion("form_warehouse_time is null");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeIsNotNull() {
            addCriterion("form_warehouse_time is not null");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeEqualTo(Date value) {
            addCriterion("form_warehouse_time =", value, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeNotEqualTo(Date value) {
            addCriterion("form_warehouse_time <>", value, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeGreaterThan(Date value) {
            addCriterion("form_warehouse_time >", value, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("form_warehouse_time >=", value, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeLessThan(Date value) {
            addCriterion("form_warehouse_time <", value, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeLessThanOrEqualTo(Date value) {
            addCriterion("form_warehouse_time <=", value, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeIn(List<Date> values) {
            addCriterion("form_warehouse_time in", values, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeNotIn(List<Date> values) {
            addCriterion("form_warehouse_time not in", values, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeBetween(Date value1, Date value2) {
            addCriterion("form_warehouse_time between", value1, value2, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andFormWarehouseTimeNotBetween(Date value1, Date value2) {
            addCriterion("form_warehouse_time not between", value1, value2, "formWarehouseTime");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdIsNull() {
            addCriterion("grain_grade_id is null");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdIsNotNull() {
            addCriterion("grain_grade_id is not null");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdEqualTo(Integer value) {
            addCriterion("grain_grade_id =", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdNotEqualTo(Integer value) {
            addCriterion("grain_grade_id <>", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdGreaterThan(Integer value) {
            addCriterion("grain_grade_id >", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("grain_grade_id >=", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdLessThan(Integer value) {
            addCriterion("grain_grade_id <", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdLessThanOrEqualTo(Integer value) {
            addCriterion("grain_grade_id <=", value, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdIn(List<Integer> values) {
            addCriterion("grain_grade_id in", values, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdNotIn(List<Integer> values) {
            addCriterion("grain_grade_id not in", values, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdBetween(Integer value1, Integer value2) {
            addCriterion("grain_grade_id between", value1, value2, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andGrainGradeIdNotBetween(Integer value1, Integer value2) {
            addCriterion("grain_grade_id not between", value1, value2, "grainGradeId");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeIsNull() {
            addCriterion("temperature_measure_type is null");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeIsNotNull() {
            addCriterion("temperature_measure_type is not null");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeEqualTo(Byte value) {
            addCriterion("temperature_measure_type =", value, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeNotEqualTo(Byte value) {
            addCriterion("temperature_measure_type <>", value, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeGreaterThan(Byte value) {
            addCriterion("temperature_measure_type >", value, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeGreaterThanOrEqualTo(Byte value) {
            addCriterion("temperature_measure_type >=", value, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeLessThan(Byte value) {
            addCriterion("temperature_measure_type <", value, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeLessThanOrEqualTo(Byte value) {
            addCriterion("temperature_measure_type <=", value, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeIn(List<Byte> values) {
            addCriterion("temperature_measure_type in", values, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeNotIn(List<Byte> values) {
            addCriterion("temperature_measure_type not in", values, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeBetween(Byte value1, Byte value2) {
            addCriterion("temperature_measure_type between", value1, value2, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andTemperatureMeasureTypeNotBetween(Byte value1, Byte value2) {
            addCriterion("temperature_measure_type not between", value1, value2, "temperatureMeasureType");
            return (Criteria) this;
        }

        public Criteria andDrafttypeIsNull() {
            addCriterion("drafttype is null");
            return (Criteria) this;
        }

        public Criteria andDrafttypeIsNotNull() {
            addCriterion("drafttype is not null");
            return (Criteria) this;
        }

        public Criteria andDrafttypeEqualTo(Integer value) {
            addCriterion("drafttype =", value, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeNotEqualTo(Integer value) {
            addCriterion("drafttype <>", value, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeGreaterThan(Integer value) {
            addCriterion("drafttype >", value, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("drafttype >=", value, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeLessThan(Integer value) {
            addCriterion("drafttype <", value, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeLessThanOrEqualTo(Integer value) {
            addCriterion("drafttype <=", value, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeIn(List<Integer> values) {
            addCriterion("drafttype in", values, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeNotIn(List<Integer> values) {
            addCriterion("drafttype not in", values, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeBetween(Integer value1, Integer value2) {
            addCriterion("drafttype between", value1, value2, "drafttype");
            return (Criteria) this;
        }

        public Criteria andDrafttypeNotBetween(Integer value1, Integer value2) {
            addCriterion("drafttype not between", value1, value2, "drafttype");
            return (Criteria) this;
        }

        public Criteria andGlfsIsNull() {
            addCriterion("glfs is null");
            return (Criteria) this;
        }

        public Criteria andGlfsIsNotNull() {
            addCriterion("glfs is not null");
            return (Criteria) this;
        }

        public Criteria andGlfsEqualTo(String value) {
            addCriterion("glfs =", value, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsNotEqualTo(String value) {
            addCriterion("glfs <>", value, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsGreaterThan(String value) {
            addCriterion("glfs >", value, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsGreaterThanOrEqualTo(String value) {
            addCriterion("glfs >=", value, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsLessThan(String value) {
            addCriterion("glfs <", value, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsLessThanOrEqualTo(String value) {
            addCriterion("glfs <=", value, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsLike(String value) {
            addCriterion("glfs like", value, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsNotLike(String value) {
            addCriterion("glfs not like", value, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsIn(List<String> values) {
            addCriterion("glfs in", values, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsNotIn(List<String> values) {
            addCriterion("glfs not in", values, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsBetween(String value1, String value2) {
            addCriterion("glfs between", value1, value2, "glfs");
            return (Criteria) this;
        }

        public Criteria andGlfsNotBetween(String value1, String value2) {
            addCriterion("glfs not between", value1, value2, "glfs");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdIsNull() {
            addCriterion("storage_org_id is null");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdIsNotNull() {
            addCriterion("storage_org_id is not null");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdEqualTo(Integer value) {
            addCriterion("storage_org_id =", value, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdNotEqualTo(Integer value) {
            addCriterion("storage_org_id <>", value, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdGreaterThan(Integer value) {
            addCriterion("storage_org_id >", value, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("storage_org_id >=", value, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdLessThan(Integer value) {
            addCriterion("storage_org_id <", value, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("storage_org_id <=", value, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdIn(List<Integer> values) {
            addCriterion("storage_org_id in", values, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdNotIn(List<Integer> values) {
            addCriterion("storage_org_id not in", values, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("storage_org_id between", value1, value2, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andStorageOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("storage_org_id not between", value1, value2, "storageOrgId");
            return (Criteria) this;
        }

        public Criteria andKeepingWayIsNull() {
            addCriterion("keeping_way is null");
            return (Criteria) this;
        }

        public Criteria andKeepingWayIsNotNull() {
            addCriterion("keeping_way is not null");
            return (Criteria) this;
        }

        public Criteria andKeepingWayEqualTo(Integer value) {
            addCriterion("keeping_way =", value, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayNotEqualTo(Integer value) {
            addCriterion("keeping_way <>", value, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayGreaterThan(Integer value) {
            addCriterion("keeping_way >", value, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayGreaterThanOrEqualTo(Integer value) {
            addCriterion("keeping_way >=", value, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayLessThan(Integer value) {
            addCriterion("keeping_way <", value, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayLessThanOrEqualTo(Integer value) {
            addCriterion("keeping_way <=", value, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayIn(List<Integer> values) {
            addCriterion("keeping_way in", values, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayNotIn(List<Integer> values) {
            addCriterion("keeping_way not in", values, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayBetween(Integer value1, Integer value2) {
            addCriterion("keeping_way between", value1, value2, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andKeepingWayNotBetween(Integer value1, Integer value2) {
            addCriterion("keeping_way not between", value1, value2, "keepingWay");
            return (Criteria) this;
        }

        public Criteria andVolumeIsNull() {
            addCriterion("volume is null");
            return (Criteria) this;
        }

        public Criteria andVolumeIsNotNull() {
            addCriterion("volume is not null");
            return (Criteria) this;
        }

        public Criteria andVolumeEqualTo(BigDecimal value) {
            addCriterion("volume =", value, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeNotEqualTo(BigDecimal value) {
            addCriterion("volume <>", value, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeGreaterThan(BigDecimal value) {
            addCriterion("volume >", value, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("volume >=", value, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeLessThan(BigDecimal value) {
            addCriterion("volume <", value, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("volume <=", value, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeIn(List<BigDecimal> values) {
            addCriterion("volume in", values, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeNotIn(List<BigDecimal> values) {
            addCriterion("volume not in", values, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("volume between", value1, value2, "volume");
            return (Criteria) this;
        }

        public Criteria andVolumeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("volume not between", value1, value2, "volume");
            return (Criteria) this;
        }

        public Criteria andLengthIsNull() {
            addCriterion("length is null");
            return (Criteria) this;
        }

        public Criteria andLengthIsNotNull() {
            addCriterion("length is not null");
            return (Criteria) this;
        }

        public Criteria andLengthEqualTo(BigDecimal value) {
            addCriterion("length =", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotEqualTo(BigDecimal value) {
            addCriterion("length <>", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthGreaterThan(BigDecimal value) {
            addCriterion("length >", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("length >=", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthLessThan(BigDecimal value) {
            addCriterion("length <", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("length <=", value, "length");
            return (Criteria) this;
        }

        public Criteria andLengthIn(List<BigDecimal> values) {
            addCriterion("length in", values, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotIn(List<BigDecimal> values) {
            addCriterion("length not in", values, "length");
            return (Criteria) this;
        }

        public Criteria andLengthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("length between", value1, value2, "length");
            return (Criteria) this;
        }

        public Criteria andLengthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("length not between", value1, value2, "length");
            return (Criteria) this;
        }

        public Criteria andWidthIsNull() {
            addCriterion("width is null");
            return (Criteria) this;
        }

        public Criteria andWidthIsNotNull() {
            addCriterion("width is not null");
            return (Criteria) this;
        }

        public Criteria andWidthEqualTo(BigDecimal value) {
            addCriterion("width =", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthNotEqualTo(BigDecimal value) {
            addCriterion("width <>", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthGreaterThan(BigDecimal value) {
            addCriterion("width >", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("width >=", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthLessThan(BigDecimal value) {
            addCriterion("width <", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("width <=", value, "width");
            return (Criteria) this;
        }

        public Criteria andWidthIn(List<BigDecimal> values) {
            addCriterion("width in", values, "width");
            return (Criteria) this;
        }

        public Criteria andWidthNotIn(List<BigDecimal> values) {
            addCriterion("width not in", values, "width");
            return (Criteria) this;
        }

        public Criteria andWidthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("width between", value1, value2, "width");
            return (Criteria) this;
        }

        public Criteria andWidthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("width not between", value1, value2, "width");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthIsNull() {
            addCriterion("trapezoid_upper_length is null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthIsNotNull() {
            addCriterion("trapezoid_upper_length is not null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthEqualTo(BigDecimal value) {
            addCriterion("trapezoid_upper_length =", value, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthNotEqualTo(BigDecimal value) {
            addCriterion("trapezoid_upper_length <>", value, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthGreaterThan(BigDecimal value) {
            addCriterion("trapezoid_upper_length >", value, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_upper_length >=", value, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthLessThan(BigDecimal value) {
            addCriterion("trapezoid_upper_length <", value, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_upper_length <=", value, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthIn(List<BigDecimal> values) {
            addCriterion("trapezoid_upper_length in", values, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthNotIn(List<BigDecimal> values) {
            addCriterion("trapezoid_upper_length not in", values, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_upper_length between", value1, value2, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperLengthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_upper_length not between", value1, value2, "trapezoidUpperLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthIsNull() {
            addCriterion("trapezoid_lower_length is null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthIsNotNull() {
            addCriterion("trapezoid_lower_length is not null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthEqualTo(BigDecimal value) {
            addCriterion("trapezoid_lower_length =", value, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthNotEqualTo(BigDecimal value) {
            addCriterion("trapezoid_lower_length <>", value, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthGreaterThan(BigDecimal value) {
            addCriterion("trapezoid_lower_length >", value, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_lower_length >=", value, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthLessThan(BigDecimal value) {
            addCriterion("trapezoid_lower_length <", value, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_lower_length <=", value, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthIn(List<BigDecimal> values) {
            addCriterion("trapezoid_lower_length in", values, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthNotIn(List<BigDecimal> values) {
            addCriterion("trapezoid_lower_length not in", values, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_lower_length between", value1, value2, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerLengthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_lower_length not between", value1, value2, "trapezoidLowerLength");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthIsNull() {
            addCriterion("trapezoid_upper_width is null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthIsNotNull() {
            addCriterion("trapezoid_upper_width is not null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthEqualTo(BigDecimal value) {
            addCriterion("trapezoid_upper_width =", value, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthNotEqualTo(BigDecimal value) {
            addCriterion("trapezoid_upper_width <>", value, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthGreaterThan(BigDecimal value) {
            addCriterion("trapezoid_upper_width >", value, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_upper_width >=", value, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthLessThan(BigDecimal value) {
            addCriterion("trapezoid_upper_width <", value, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_upper_width <=", value, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthIn(List<BigDecimal> values) {
            addCriterion("trapezoid_upper_width in", values, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthNotIn(List<BigDecimal> values) {
            addCriterion("trapezoid_upper_width not in", values, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_upper_width between", value1, value2, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidUpperWidthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_upper_width not between", value1, value2, "trapezoidUpperWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthIsNull() {
            addCriterion("trapezoid_lower_width is null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthIsNotNull() {
            addCriterion("trapezoid_lower_width is not null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthEqualTo(BigDecimal value) {
            addCriterion("trapezoid_lower_width =", value, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthNotEqualTo(BigDecimal value) {
            addCriterion("trapezoid_lower_width <>", value, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthGreaterThan(BigDecimal value) {
            addCriterion("trapezoid_lower_width >", value, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_lower_width >=", value, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthLessThan(BigDecimal value) {
            addCriterion("trapezoid_lower_width <", value, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_lower_width <=", value, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthIn(List<BigDecimal> values) {
            addCriterion("trapezoid_lower_width in", values, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthNotIn(List<BigDecimal> values) {
            addCriterion("trapezoid_lower_width not in", values, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_lower_width between", value1, value2, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andTrapezoidLowerWidthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_lower_width not between", value1, value2, "trapezoidLowerWidth");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightIsNull() {
            addCriterion("flat_storage_height is null");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightIsNotNull() {
            addCriterion("flat_storage_height is not null");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightEqualTo(BigDecimal value) {
            addCriterion("flat_storage_height =", value, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightNotEqualTo(BigDecimal value) {
            addCriterion("flat_storage_height <>", value, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightGreaterThan(BigDecimal value) {
            addCriterion("flat_storage_height >", value, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("flat_storage_height >=", value, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightLessThan(BigDecimal value) {
            addCriterion("flat_storage_height <", value, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("flat_storage_height <=", value, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightIn(List<BigDecimal> values) {
            addCriterion("flat_storage_height in", values, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightNotIn(List<BigDecimal> values) {
            addCriterion("flat_storage_height not in", values, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("flat_storage_height between", value1, value2, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andFlatStorageHeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("flat_storage_height not between", value1, value2, "flatStorageHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightIsNull() {
            addCriterion("trapezoid_height is null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightIsNotNull() {
            addCriterion("trapezoid_height is not null");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightEqualTo(BigDecimal value) {
            addCriterion("trapezoid_height =", value, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightNotEqualTo(BigDecimal value) {
            addCriterion("trapezoid_height <>", value, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightGreaterThan(BigDecimal value) {
            addCriterion("trapezoid_height >", value, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_height >=", value, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightLessThan(BigDecimal value) {
            addCriterion("trapezoid_height <", value, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("trapezoid_height <=", value, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightIn(List<BigDecimal> values) {
            addCriterion("trapezoid_height in", values, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightNotIn(List<BigDecimal> values) {
            addCriterion("trapezoid_height not in", values, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_height between", value1, value2, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andTrapezoidHeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("trapezoid_height not between", value1, value2, "trapezoidHeight");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterIsNull() {
            addCriterion("silo_inner_diameter is null");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterIsNotNull() {
            addCriterion("silo_inner_diameter is not null");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterEqualTo(BigDecimal value) {
            addCriterion("silo_inner_diameter =", value, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterNotEqualTo(BigDecimal value) {
            addCriterion("silo_inner_diameter <>", value, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterGreaterThan(BigDecimal value) {
            addCriterion("silo_inner_diameter >", value, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("silo_inner_diameter >=", value, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterLessThan(BigDecimal value) {
            addCriterion("silo_inner_diameter <", value, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterLessThanOrEqualTo(BigDecimal value) {
            addCriterion("silo_inner_diameter <=", value, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterIn(List<BigDecimal> values) {
            addCriterion("silo_inner_diameter in", values, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterNotIn(List<BigDecimal> values) {
            addCriterion("silo_inner_diameter not in", values, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("silo_inner_diameter between", value1, value2, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloInnerDiameterNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("silo_inner_diameter not between", value1, value2, "siloInnerDiameter");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightIsNull() {
            addCriterion("silo_grain_height is null");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightIsNotNull() {
            addCriterion("silo_grain_height is not null");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightEqualTo(BigDecimal value) {
            addCriterion("silo_grain_height =", value, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightNotEqualTo(BigDecimal value) {
            addCriterion("silo_grain_height <>", value, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightGreaterThan(BigDecimal value) {
            addCriterion("silo_grain_height >", value, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("silo_grain_height >=", value, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightLessThan(BigDecimal value) {
            addCriterion("silo_grain_height <", value, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("silo_grain_height <=", value, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightIn(List<BigDecimal> values) {
            addCriterion("silo_grain_height in", values, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightNotIn(List<BigDecimal> values) {
            addCriterion("silo_grain_height not in", values, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("silo_grain_height between", value1, value2, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andSiloGrainHeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("silo_grain_height not between", value1, value2, "siloGrainHeight");
            return (Criteria) this;
        }

        public Criteria andPackagedCountIsNull() {
            addCriterion("packaged_count is null");
            return (Criteria) this;
        }

        public Criteria andPackagedCountIsNotNull() {
            addCriterion("packaged_count is not null");
            return (Criteria) this;
        }

        public Criteria andPackagedCountEqualTo(Integer value) {
            addCriterion("packaged_count =", value, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountNotEqualTo(Integer value) {
            addCriterion("packaged_count <>", value, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountGreaterThan(Integer value) {
            addCriterion("packaged_count >", value, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("packaged_count >=", value, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountLessThan(Integer value) {
            addCriterion("packaged_count <", value, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountLessThanOrEqualTo(Integer value) {
            addCriterion("packaged_count <=", value, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountIn(List<Integer> values) {
            addCriterion("packaged_count in", values, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountNotIn(List<Integer> values) {
            addCriterion("packaged_count not in", values, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountBetween(Integer value1, Integer value2) {
            addCriterion("packaged_count between", value1, value2, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andPackagedCountNotBetween(Integer value1, Integer value2) {
            addCriterion("packaged_count not between", value1, value2, "packagedCount");
            return (Criteria) this;
        }

        public Criteria andAverageWeightIsNull() {
            addCriterion("average_weight is null");
            return (Criteria) this;
        }

        public Criteria andAverageWeightIsNotNull() {
            addCriterion("average_weight is not null");
            return (Criteria) this;
        }

        public Criteria andAverageWeightEqualTo(BigDecimal value) {
            addCriterion("average_weight =", value, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightNotEqualTo(BigDecimal value) {
            addCriterion("average_weight <>", value, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightGreaterThan(BigDecimal value) {
            addCriterion("average_weight >", value, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("average_weight >=", value, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightLessThan(BigDecimal value) {
            addCriterion("average_weight <", value, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("average_weight <=", value, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightIn(List<BigDecimal> values) {
            addCriterion("average_weight in", values, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightNotIn(List<BigDecimal> values) {
            addCriterion("average_weight not in", values, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("average_weight between", value1, value2, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andAverageWeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("average_weight not between", value1, value2, "averageWeight");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsIsNull() {
            addCriterion("check_record_ids is null");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsIsNotNull() {
            addCriterion("check_record_ids is not null");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsEqualTo(String value) {
            addCriterion("check_record_ids =", value, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsNotEqualTo(String value) {
            addCriterion("check_record_ids <>", value, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsGreaterThan(String value) {
            addCriterion("check_record_ids >", value, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsGreaterThanOrEqualTo(String value) {
            addCriterion("check_record_ids >=", value, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsLessThan(String value) {
            addCriterion("check_record_ids <", value, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsLessThanOrEqualTo(String value) {
            addCriterion("check_record_ids <=", value, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsLike(String value) {
            addCriterion("check_record_ids like", value, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsNotLike(String value) {
            addCriterion("check_record_ids not like", value, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsIn(List<String> values) {
            addCriterion("check_record_ids in", values, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsNotIn(List<String> values) {
            addCriterion("check_record_ids not in", values, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsBetween(String value1, String value2) {
            addCriterion("check_record_ids between", value1, value2, "checkRecordIds");
            return (Criteria) this;
        }

        public Criteria andCheckRecordIdsNotBetween(String value1, String value2) {
            addCriterion("check_record_ids not between", value1, value2, "checkRecordIds");
            return (Criteria) this;
        }
    }

    /**
     * grain_situation_card
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * grain_situation_card 2024-05-11
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}