package com.chinaitop.depot.rp.model.vo;

import com.chinaitop.depot.rp.model.BusinessRpReport;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class BusinessRpReportRecVO extends BusinessRpReport {

    @ApiModelProperty(value = "企业名称")
    private String unitName;

    @ApiModelProperty(value = "附件地址")
    private String attachment;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "下发日期")
    private Date issuanceDate;
}
